<!DOCTYPE html>
<html>
<head>
    <title>Rules</title>
</head>
<body>
 <h1>Doc generator</h1>
<h2>Data</h2>
   <b>Doc1 content</b><br>
  {{ range .Site.Data.doc1 }}
    id {{ .id }}:  {{ .text }}<br>
  {{ end }}
    <hr>
   <b>Doc2 content</b><br>
  {{ range .Site.Data.doc2 }}
    text: {{ .text}} - refid {{ .refid }} - draft: {{ .draft }}<br>
  {{ end }}
    <hr>

<h2>Doc generated</h2>
  {{ range .Site.Data.doc2 }}
        {{ if eq .draft false }}
            {{ $refid := .refid }}
            {{ $doc1Item := index .Site.Data.doc1 (printf "id=%d" $refid) }}
	     <div class="debug">
                [DEBUG] refid: {{ $refid }} 
                {{ with $doc1Item }}
                    doc1Item.text: {{ .text }}
                {{ else }}
                    No matching doc1 item found.
                {{ end }}
            </div>
            Text: {{ .text | safeHTML }}, refid: {{ .refid}}
            <div class="note">
                {{ with $doc1Item }}
                    {{ .text | safeHTML }}
                {{ end }}
            </div>
        {{ end }}
    {{ end }}
</body>
</html>

